Bug 103881 - PyQt does not import
Summary: PyQt does not import
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: PyQt   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-06 01:06 UTC by Michael Andrews
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-06 01:24:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Andrews 2003-09-06 01:06:46 UTC
Description of problem:
'import qt' does not work in python

Version-Release number of selected component (if applicable): 3.7


How reproducible:


Steps to Reproduce:
1. Start python
2. At prompt type: import qt
3.
    
Actual results:
$ python
Python 2.2.3 (#1, Jun 10 2003, 16:41:13)
[GCC 3.3 20030604 (Red Hat Linux 3.3-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import qt
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.2/site-packages/qt.py", line 25, in ?
    import libqtc
ImportError: /usr/lib/python2.2/site-packages/libqtcmodule.so: undefined symbol:
sipBadLengthForSlice


Expected results:


Additional info:
Maybe related to sip version which is at 3.6 while PyQt is at 3.7.

Comment 1 Michael Andrews 2003-09-06 01:24:45 UTC
Found the problem.  A 'Rawhide' RPM for PyQt got installed without the
corresponding sip RPM.  Sorry.


Note You need to log in before you can comment on or make changes to this bug.